curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_version": "0.2.2",
"image_version": "v1.204.0"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update"
payload = {
"chart_version": "0.2.2",
"image_version": "v1.204.0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_version: '0.2.2', image_version: 'v1.204.0'})
};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chart_version' => '0.2.2',
'image_version' => 'v1.204.0'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update"
payload := strings.NewReader("{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}"
response = http.request(request)
puts response.read_body{
"execution_id": "00000000-0000-0000-0000-000000000001-0",
"image_version": "v1.204.0",
"chart_version": "0.2.2"
}Update the Qovery Operator on a cluster
Queues an Engine v2 execution that updates only the Qovery Operator. The update follows the runtime reported by the Operator: a Kubernetes Operator gets a Helm upgrade of its release and requires the chart version; a Docker Operator (EKS Anywhere bastion) gets its container replaced and ignores the chart version. An Operator that has not reported its runtime cannot be updated. The optional image version overrides the image target selected by q-core. The current Operator must be connected and protocol-compatible. A successful response means that the execution was accepted, not that the update has completed. Cluster administrator permission is required.
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_version": "0.2.2",
"image_version": "v1.204.0"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update"
payload = {
"chart_version": "0.2.2",
"image_version": "v1.204.0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_version: '0.2.2', image_version: 'v1.204.0'})
};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chart_version' => '0.2.2',
'image_version' => 'v1.204.0'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update"
payload := strings.NewReader("{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"chart_version\": \"0.2.2\",\n \"image_version\": \"v1.204.0\"\n}"
response = http.request(request)
puts response.read_body{
"execution_id": "00000000-0000-0000-0000-000000000001-0",
"image_version": "v1.204.0",
"chart_version": "0.2.2"
}Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Body
Response
The Qovery Operator update was queued
Was this page helpful?